import processing.core.*;
import java.awt.*;

public class EmergenceBots extends PApplet{
	private Bot [] bots = new Bot[5];

	public static void main(String args[]) {
	    //PApplet.main(new String[] { "--present", "EmergenceBots" });
		PApplet.main(new String[] { "EmergenceBots" });
	}
	
	public void setup(){
		size(1024,768);
		
		/*
		 * Getting rid of the titlebar / dock on macs
		 */
		/*GraphicsEnvironment ge = GraphicsEnvironment.getLocalGraphicsEnvironment();
	    GraphicsDevice gs = ge.getDefaultScreenDevice();
		Window win = new Window(frame);
		gs.setFullScreenWindow(frame);
        win.validate();*/
        
        noCursor();
		background(255);
		smooth();
		fill(0);
		noiseDetail(4, 0.001f);
		for(int i=0;i<bots.length;i++){
			bots[i] = new Bot(this);
		}
	}
	
	public void draw(){
		loadPixels();
		
		for(int i=0;i<bots.length;i++){
			bots[i].update();
		}
		
	}
	
}
